apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: currency-conversion
  name: currency-conversion
  namespace: default
spec:
  replicas: 2 #CHANGE
  minReadySeconds: 45
  selector:
    matchLabels:
      app: currency-conversion
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: currency-conversion
    spec:
      containers:
      - image: in28min/currency-conversion:0.0.1-RELEASE #CHANGE
        imagePullPolicy: IfNotPresent
        name: currency-conversion
        # env:
        #   - name: CURRENCY_EXCHANGE_SERVICE_HOST
        #     value: http://currency-exchange
        
        #     valueFrom: 
        #       configMapKeyRef:
        #         key: CURRENCY_EXCHANGE_SERVICE_HOST
        #         name: currency-conversion-config-map
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  labels: #PODS
    app: currency-conversion
  name: currency-conversion
  namespace: default
spec:
  ports:
  - port: 8100 #CHANGE
    protocol: TCP
    targetPort: 8100 #CHANGE
  selector:
    app: currency-conversion
  sessionAffinity: None #CHANGE
  type: LoadBalancer
